UbixOS V2 2.0

Functions | Variables
vitals.c File Reference
`#include <ubixos/vitals.h>`
`#include <ubixos/kpanic.h>`
`#include <lib/kprintf.h>`
`#include <lib/kmalloc.h>`
`#include <string.h>`
Include dependency graph for vitals.c:

Go to the source code of this file.

## Functions
int | vitals_init ()

## Variables
vitalsNode * | systemVitals = 0x0
spinLock_t | vitals_lock

## Function Documentation

## ◆ vitals_init()

int vitals_init | ( |  | ) |

Definition at line 47 of file vitals.c.

References vitalsStruct::dQuantum, kmalloc(), kpanic(), kprintf(), memset(), vitalsStruct::quantum, spinLockInit(), systemVitals, and vitals_lock.

Here is the call graph for this function:

## Variable Documentation

## ◆ systemVitals

vitalsNode* systemVitals = 0x0

Definition at line 35 of file vitals.c.

Referenced by gettimeofday(), ogPrintf(), sdeTestThread(), sdeTestThreadOld(), sdeThread(), sysGetTime(), sysGetUptime(), sysSDE(), systemTask(), ubthread_cond_timedwait(), vfs_addMount(), vfs_findMount(), vfs_init(), vfsFindFS(), and vitals_init().

## ◆ vitals_lock

spinLock_t vitals_lock

Definition at line 36 of file vitals.c.

Referenced by vitals_init().